> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.itential.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.itential.com/_mcp/server.

# Get multiple instance groups

GET https://example.itential.io/lifecycle-manager/resources/{modelIdentifier}/groups

Returns multiple instance groups.

Reference: https://docs.itential.com/itential-cloud/api-reference/lifecycle-manager/get-instance-groups-http

## Authentication

- `Authorization` header (basic auth, required) — Basic authentication of the form `Basic <base64(username:password)>`.

## Request

### Path parameters

- `modelIdentifier` (string or string, required) — modelIdentifier

### Query parameters

- `skip` (string, optional) — This parameter specifies where to start the returned page of search results.
- `limit` (string, optional) — This parameter specifies how many items to return in the search results.
- `sort` (string, optional) — This parameter specifies the field to sort the search results over.
- `order` (enum, optional) — This parameter specifies the direction to sort the search results over.
  - Allowed values: `asc`, `desc`
- `equals` (object, optional) — equals
  - `modelName` (string, optional) — The name of the document
  - `type` (enum, optional)
    - Allowed values: `manual`, `dynamic`
  - `_id` (string, optional) — A string which is formatted like an ObjectId, Distinct from an actual ObjectId.
  - `name` (string, optional) — The name of the document
  - `modelId` (string, optional) — A string which is formatted like an ObjectId, Distinct from an actual ObjectId.
  - `created` (string, optional) — An ISO 8601 date string
  - `createdBy` (string, optional) — A string which is formatted like an ObjectId, Distinct from an actual ObjectId.
  - `lastUpdated` (string, optional) — An ISO 8601 date string
  - `lastUpdatedBy` (string, optional) — A string which is formatted like an ObjectId, Distinct from an actual ObjectId.
- `in` (object, optional) — in
  - `type` (list of enum, optional)
    - Allowed values: `manual`, `dynamic`
  - `lastAction` (object, optional)
    - `type` (list of enum, optional)
      - Allowed values: `import`, `create`, `update`, `delete`
- `starts-with` (object, optional) — starts-with
  - `name` (string, optional) — The name of the document
- `lt` (object, optional) — lt
  - `created` (string, optional) — An ISO 8601 date string
  - `lastUpdated` (string, optional) — An ISO 8601 date string
- `lte` (object, optional) — lte
  - `created` (string, optional) — An ISO 8601 date string
  - `lastUpdated` (string, optional) — An ISO 8601 date string
- `gt` (object, optional) — gt
  - `created` (string, optional) — An ISO 8601 date string
  - `lastUpdated` (string, optional) — An ISO 8601 date string
- `gte` (object, optional) — gte
  - `created` (string, optional) — An ISO 8601 date string
  - `lastUpdated` (string, optional) — An ISO 8601 date string
- `dereference` (any, optional) — Comma-separated list of foreign key field types to dereference

## Response

### 200

response

- `data` (list of object, optional)
  - `createdBy` (object, optional, nullable)
    - `firstname` (string, optional)
    - `provenance` (string, optional)
    - `username` (string, optional)
    - `_id` (string, optional) — A string which is formatted like an ObjectId, Distinct from an actual ObjectId.
  - `created` (string, optional) — An ISO 8601 date string
  - `lastUpdatedBy` (object, optional, nullable)
    - `firstname` (string, optional)
    - `provenance` (string, optional)
    - `username` (string, optional)
    - `_id` (string, optional) — A string which is formatted like an ObjectId, Distinct from an actual ObjectId.
  - `lastUpdated` (string, optional) — An ISO 8601 date string
  - `_id` (string, optional) — A string which is formatted like an ObjectId, Distinct from an actual ObjectId.
  - `lastAction` (object, optional) — The last action that was run against this document
    - `_id` (any, required) — The identifier of an action
    - `executionId` (string, required) — A string which is formatted like an ObjectId, Distinct from an actual ObjectId.
    - `name` (string, required) — The name of the action
    - `type` (enum, required) — The type of the action
      - Allowed values: `import`, `create`, `update`, `delete`
    - `status` (enum, required) — A single string describing the current activity status of this action
      - Allowed values: `running`, `error`, `complete`, `canceled`, `paused`
- `metadata` (object, optional) — Properties describing search result pagination
  - `skip` (integer, optional)
  - `limit` (integer, optional)
  - `total` (integer, optional)
  - `nextPageSkip` (integer, optional)
  - `previousPageSkip` (integer, optional)
  - `currentPageSize` (integer, optional)

## Errors

### 500 Internal Server Error

Error response from API

- `any`

## Examples

**Response**

```json
{
  "data": [
    {
      "createdBy": {
        "firstname": "string",
        "provenance": "string",
        "username": "string",
        "_id": "string"
      },
      "created": "2024-01-15T09:30:00Z",
      "lastUpdatedBy": {
        "firstname": "string",
        "provenance": "string",
        "username": "string",
        "_id": "string"
      },
      "lastUpdated": "2024-01-15T09:30:00Z",
      "_id": "string",
      "lastAction": {
        "_id": null,
        "executionId": "string",
        "name": "Create",
        "type": "import",
        "status": "running"
      },
      "description": "Some helpful information about the document",
      "modelId": "string",
      "name": "myCoolDocumentName"
    }
  ],
  "metadata": {
    "skip": 1,
    "limit": 1,
    "total": 1,
    "nextPageSkip": 1,
    "previousPageSkip": 1,
    "currentPageSize": 1
  },
  "message": "Successfully created the requested item"
}
```

**SDK Code**

```python
import requests

url = "https://example.itential.io/lifecycle-manager/resources/myCoolDocumentName/groups"

response = requests.get(url)

print(response.json())
```

```javascript
const url = 'https://example.itential.io/lifecycle-manager/resources/myCoolDocumentName/groups';
const options = {method: 'GET'};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://example.itential.io/lifecycle-manager/resources/myCoolDocumentName/groups"

	req, _ := http.NewRequest("GET", url, nil)

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://example.itential.io/lifecycle-manager/resources/myCoolDocumentName/groups")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://example.itential.io/lifecycle-manager/resources/myCoolDocumentName/groups")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://example.itential.io/lifecycle-manager/resources/myCoolDocumentName/groups');

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://example.itential.io/lifecycle-manager/resources/myCoolDocumentName/groups");
var request = new RestRequest(Method.GET);
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let request = NSMutableURLRequest(url: NSURL(string: "https://example.itential.io/lifecycle-manager/resources/myCoolDocumentName/groups")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```